using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class RoomTypeModal
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
		/// <summary>
		/// 房型
		/// </summary>
		public virtual RoomType RoomType
		{
			get;
			set;
		}
		/// <summary>
		/// 回路地址
		/// </summary>
		public virtual string ModalAddress
		{
			get;
			set;
		}
		/// <summary>
		/// 输出口
		/// </summary>
		public virtual string Outlet
		{
			get;
			set;
		}
		/// <summary>
		/// 名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
		/// <summary>
		/// 英文名称
		/// </summary>
		public virtual string EnglishName
		{
			get;
			set;
		}
        /// <summary>
        /// 繁体名称
        /// </summary>
        public virtual string TWName
        {
            get;
            set;
        }
		/// <summary>
		/// 功率(单位：瓦)
		/// </summary>
		public virtual int Power
		{
			get;
			set;
		}
		/// <summary>
		/// 类型
		/// </summary>
        public virtual DeviceType Type
		{
			get;
			set;
		}
		/// <summary>
		/// 二级类型
		/// </summary>
        public virtual DeviceSubtype? Subtype
		{
			get;
			set;
		}
		/// <summary>
		/// 是否默认
		/// </summary>
		public virtual bool Default
		{
			get;
			set;
		}
		/// <summary>
		/// Sort
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}

		/// <summary>
		/// AppApply
		/// </summary>
		public virtual bool AppApply
		{
			get;
			set;
		}
        /// <summary>
        /// Color
        /// </summary>
        public virtual string Color
        {
            get;
            set;
        }
        /// <summary>
        /// 启用
        /// </summary>
        public virtual bool ActiveIndicator
        {
            get;
            set;
        }
        /// <summary>
        /// 微信启用
        /// </summary>
        public virtual bool WXActiveIndicator
        {
            get;
            set;
        }
        /// <summary>
        /// 低电值判断值
        /// </summary>
        public virtual int LowPower
        {
            get;
            set;
        }
        /// <summary>
        /// 离线保存显示
        /// </summary>
        public virtual bool OfflineDisplay
        {
            get;
            set;
        }
        /// <summary>
        /// 低电保存显示
        /// </summary>
        public virtual bool LowPowerDisplay
        {
            get;
            set;
        }
        /// <summary>
        /// 是否声音报警
        /// </summary>
        public virtual bool Beep
        {
            get;
            set;
        }
        /// <summary>
        /// 是否异常判断
        /// </summary>
        public virtual bool Abnormal
        {
            get;
            set;
        }
        /// <summary>
        /// 数据来源类型：0后台，1宝易
        /// </summary>
        public virtual int SourceType
        {
            get;
            set;
        }
        /// <summary>
        /// 别名
        /// </summary>
        public virtual string AliasName
        {
            get;
            set;
        }

        public virtual string TCLDeviceName { get; set; }
        public virtual string MultipleTCLName { get; set; }
        public virtual int MultipleGroupID { get; set; }
        public virtual bool IsUploadBaoJing { get; set; }
	}
}
